# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TTypeEntry._Fields

Packages that use TTypeEntry._Fields
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TTypeEntry._Fields in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TTypeEntry._Fields in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TTypeEntry`
`static enum`
`TTypeEntry._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TTypeEntry._Fields
Modifier and Type
Field
Description
`static final Map<TTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData>`
TTypeEntry.`metaDataMap`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TTypeEntry._Fields
Modifier and Type
Method
Description
`protected TTypeEntry._Fields`
TTypeEntry.`enumForId(short id)`
`TTypeEntry._Fields`
TTypeEntry.`fieldForId(int fieldId)`
`static TTypeEntry._Fields`
TTypeEntry._Fields.`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TTypeEntry._Fields`
TTypeEntry._Fields.`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TTypeEntry._Fields`
TTypeEntry._Fields.`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`static TTypeEntry._Fields`
TTypeEntry._Fields.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TTypeEntry._Fields[]`
TTypeEntry._Fields.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeEntry._Fields
Modifier and Type
Method
Description
`protected void`
TTypeEntry.`checkType(TTypeEntry._Fields setField, Object value)`
`protected org.apache.thrift.protocol.TField`
TTypeEntry.`getFieldDesc(TTypeEntry._Fields setField)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeEntry._Fields
Modifier
Constructor
Description
``
`TTypeEntry(TTypeEntry._Fields setField, Object value)`